Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1TypePackageSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1TypePackageSearchParameters

Record Components:
  `fieldDescriptionMatch` - The type package description match expression.
  `fieldLimit` - The item limit.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1TypePackageSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
The type package search parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1TypePackageSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)`
  Creates an instance of a `CAI1TypePackageSearchParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1TypePackageSearchParameters`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1TypePackageSearchParameters.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldDescriptionMatch()`
  Returns the value of the `fieldDescriptionMatch` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32`
  `fieldLimit()`
  Returns the value of the `fieldLimit` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1TypePackageSearchParameters $x)`
  Serialize a value of type CAI1TypePackageSearchParameters.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1TypePackageSearchParameters

    public CAI1TypePackageSearchParameters(CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit)
    Creates an instance of a `CAI1TypePackageSearchParameters` record class.
    Parameters:
      `fieldDescriptionMatch` - the value for the `fieldDescriptionMatch` record component
      `fieldLimit` - the value for the `fieldLimit` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1TypePackageSearchParameters $x) throws IOException
    Serialize a value of type CAI1TypePackageSearchParameters.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1TypePackageSearchParameters deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1TypePackageSearchParameters.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1TypePackageSearchParameters.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldDescriptionMatch

    public CAI1ComparisonFuzzy<com.io7m.cedarbridge.runtime.api.CBString> fieldDescriptionMatch()
    Returns the value of the `fieldDescriptionMatch` record component.
    Returns:
      the value of the `fieldDescriptionMatch` record component

  - ### fieldLimit

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned32 fieldLimit()
    Returns the value of the `fieldLimit` record component.
    Returns:
      the value of the `fieldLimit` record component